%define prel	beta7

Name:           tcptraceroute
Summary:        Traceroute implementation using TCP packets 
Version:	1.5
Release:	%mkrel 0.%{prel}.5
Source:		http://michael.toren.net/code/tcptraceroute/%{name}-%{version}%{prel}.tar.gz
URL:		http://michael.toren.net/code/tcptraceroute/
Group:		Networking/Other
License:	GPL
BuildRequires:	libpcap-devel >= 0.9.5
BuildRequires:	net-devel >= 1.1.3

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the destination
has been reached. By printing the gateways that generate ICMP time
exceeded messages along the way, it is able to determine the path packets
are taking to reach the destination. 

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up being
filtered, making it impossible to completely trace the path to the
destination. However, in many cases, these firewalls will permit inbound
TCP packets to specific ports that hosts sitting behind the firewall are
listening for connections on. By sending out TCP SYN packets instead of
UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most common
firewall filters. 

%prep 

%setup -qn %{name}-%{version}%{prel}

%build

%configure2_5x \
    --bindir=%{_sbindir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(644,root,root,755) 
%doc %{_datadir}/doc/tcptraceroute/*
%attr(755,root,bin) %{_sbindir}/tcptraceroute
%{_mandir}/man1/tcptraceroute.1*

			      





%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.5-0.beta7.5.mga3
+ Revision: 384187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 ennael <ennael> 1.5-0.beta7.4.mga1
+ Revision: 81685
- clean spec file

  + kharec <kharec>
    - imported package tcptraceroute

